Subject: Re: bug#22230: 25.1.50; Emacs doesn't understand (some) SVG images

From: Stephen Berman <[email-masked]>
Date: Thu, 24 Dec 2015 15:35:05 +0100

On Thu, 24 Dec 2015 14:12:44 +0100 Lars Ingebrigtsen <[email-masked]> wrote:

> If I view the following in Firefox, I get a pretty image saying "NRK":
[...]
> If I open it in Emacs, I get a blank image that has the correct width
> and height.  Either this is due to ImageMagick not understanding
> something, or there's something Emacs does wrong here...

I know nothing about either SVG images or ImageMagick, but both Zack
Piper's suggestion to try converting to PNG and experimentation with the
image source show that the problem is indeed ImageMagick, specifically,
it appears not to process the `fill' attribute value "currentColor":
after changing the value to e.g. "blue" or "red" or removing the
attribute-value pair altogether, then ImageMagick (and hence also Emacs
built with ImageMagick support) displays the image.

Steve Berman